## Function template parse_filter

boost::log::parse_filter

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename CharT> filter parse_filter(const CharT * str);

## Description

The function parses a filter from the string

Throws: An `std::exception`-based exception, if a filter cannot be recognized in the character sequence.

Parameters:

`str` | A string that contains filter description.

Requires: | `str != NULL`, `str` points to a zero-terminated string.
Returns: | A function object that can be used as a filter.